Bug 849838 - [Doc] [Translation problem] RHEL6.3 Virtualization Administration Guide
[Doc] [Translation problem] RHEL6.3 Virtualization Administration Guide
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.5
Assigned To: Platform Virt Docs
ecs-bugs
: Documentation, Triaged
Depends On: 512655
Blocks: 878454
  Show dependency treegraph
 
Reported: 2012-08-21 01:21 EDT by Noriko Mizumoto
Modified: 2015-03-30 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 878454 (view as bug list)
Environment:
Last Closed: 2015-03-30 00:51:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
graphic that needs fixing (389.62 KB, text/plain)
2012-10-14 04:41 EDT, Laura Novich
no flags Details
graphic that needs fixing 2 (405.75 KB, image/png)
2012-10-14 04:42 EDT, Laura Novich
no flags Details

  None (edit)
Description Noriko Mizumoto 2012-08-21 01:21:00 EDT
Some diagrams contains the paragraphs in it, and currently translation can not be made inside any diagrams. 
Here is one of problematic diagrams example.
6.3/tmp/ja-JP/html-single/images/vn-10-routed-mode-datacenter.png
6.3/tmp/ja-JP/html-single/images/vn-11-router-mode-mac-restricted.png

Those diagrams are for better understanding the scenario of virtual server hosting. And both diagrams contain the paragraphs describing two different configurations which can not be translated atm. Could you please have some work around for future release?

Thanks
Comment 2 Laura Novich 2012-09-24 04:15:58 EDT
Dear Noriko,
Can you please give me some more information?
Where in the manual are these figures located?
Thanks
Laura
Comment 3 Noriko Mizumoto 2012-09-24 21:06:27 EDT
Hi Laura

There are total nine figures/diagrams between 18.1 and 18.5, which contains untranslatable English strings. Seven figures have their figure numbers with title, and last two figures do not have any figure number thus no title. 
(https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Virtualization_Administration_Guide/index.html#chap-Virtualization_Administration_Guide-Virtual_Networking)

Figure 18.1. Virtual network switch with two guests
Figure 18.2. Linux host with an interface to a virtual network switch
Figure 18.3. Virtual network switch using NAT with two guests
Figure 18.4. Virtual network switch running dnsmasq
Figure 18.5. Virtual network switch in routed mode
Figure 18.6. Virtual network switch in isolated mode
Figure 18.7. Default libvirt network configuration
no figure number (vn-10-routed-mode-datacenter.png)
no figure number (vn-11-router-mode-mac-restricted.png)

cheers
noriko
Comment 4 Laura Novich 2012-10-14 04:41:58 EDT
Created attachment 626830 [details]
graphic that needs fixing
Comment 5 Laura Novich 2012-10-14 04:42:37 EDT
Created attachment 626831 [details]
graphic that needs fixing 2
Comment 6 Laura Novich 2012-11-20 08:23:36 EST
Graphics will need to be redone to expedite easier translation. this will be done for 6.5 as there are not enough resources for 6.4. Cloning this issue for 7.0 to make sure it is done there as well.
Comment 9 Laura Novich 2014-07-10 03:13:56 EDT
don't see this being completed by the end of the cycle - as there are not enough graphic artists available. pushing to 6.7
Comment 10 Dayle Parker 2015-01-16 02:45:50 EST
Hi Jess,

Can you let us know if there is a workflow in place (now or coming soon) to localize graphics? Please see the attachments for an example of what has a request for translation.

Thanks for your help!
Cheers,
Dayle
Comment 11 jschaefe 2015-01-16 09:37:13 EST
That's a great question, Dayle. Laura posed the same question to me back in November. At this point, I still don't have a answer. But thank you for bringing this up again! Now that this is back on my radar, I'll reconnect with my team to see if we can get this resolved. 

Hopefully, I'll have an update for you in the next week or so. Thanks for reaching out!
Jess
Comment 12 jschaefe 2015-01-19 09:56:33 EST
Dayle and Laura,

I had a helpful email conversation with Adam Strong and Isaac Rooskov. Issac confirmed that we don't have anything in place for diagram creation, but he will raise the question again and include our tooling and internationalization teams on the discussion. Here's a direction pull from his email... 

"If we find out any way to undertake and easily maintain diagram translation then I'll be sure to let everyone in docs know (who can then pass the info along to respective projects). 

Either way, it won't be a fast process to come to a decision I imagine. One workaround I can recommend (and is done with many books), is to place numbers next to items on a diagram and then have a list in the actual body of the book, so the text that would be on the diagram is actually in the book text and thus translated."

Laura, I think the workaround might work with some of our less complex diagrams, but we'll need to factor this into the process from inception. 

I hope this helps! Please let me know if there's anything else I can do.

Thanks!
Jess
Comment 13 Dayle Parker 2015-03-04 20:52:42 EST
Hi Jess,

Thanks so much for the info, and apologies for missing your reply until now.
We'll use this workaround work for these diagrams for now to solve this request, and await to hear from you about a long-term solution in the future.

Thanks again!
Dayle
Comment 15 Laura Bailey 2015-03-30 00:51:39 EDT
Closing as DEFERRED, as internal procedures around diagrams and translation are changing. This issue will be taken care of as part of future updates.

Note You need to log in before you can comment on or make changes to this bug.